View Issue Details

IDProjectCategoryView StatusLast Update
0004989SOGoWeb Mailpublic2020-05-04 18:44
ReporterMarioRosso Assigned Tofrancis  
PriorityhighSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Platform[Client] MicrosoftOSWindowsOS Version8
Product Version4.3.0 
Fixed in Version4.3.1 
Summary0004989: folders with % character unusable
Description

good morning
why can't I delete crete folders in a previous version in SOGo?
why in the latest version after naming a folder D% does the folder not work, can't I rename it, can't delete it?
thank you

Tags4.3.0

Activities

Christian Mack

Christian Mack

2020-03-25 04:21

developer   ~0014226

What are "crete folders"?

And which Version do you mean with "previous version"?

As you have sorted it into WebMail, I assume you are talking about the email part of the SOGo webinterface.
So which IMAP server are you using?
How are the priviledges of the user for that "crete folders" ?

MarioRosso

MarioRosso

2020-03-25 06:14

reporter   ~0014230

sorry :-)))
"folders crete" was a typo
Yes, I am talking about the e - mail part of the SOGo web interface https://webmail.comune.mondovi.cn.it/SOGo/
Server name: localhost
The question was: why can't I delete folders created in a previous version in SOGo?
I don't know the previous version number, what I do know is that it was an AJAX interface, presumably a version 2 that offered browser drag-and-drop functionality for contacts, events and emails.
But apart from that, the question is: why can't I delete folders that I had created?
I am an employee in a local authority, obviously my access to work passes through a Proxy.
At home the internet connection is direct.
The privilege I have is that of user, I'm not the administrator, but I don't think this has anything to do with creating or deleting folders.
As for the version we are using now, 4.3.0, what happened to me is that I created a folder with the name "D%" and it doesn't work, but I can't even rename the folder or delete it.
thank you

SOGOo_200325.png (44,116 bytes)   
SOGOo_200325.png (44,116 bytes)   
MarioRosso

MarioRosso

2020-03-25 06:20

reporter   ~0014231

0k
I don't know what happened magical!
It works!
I managed to delete the folders.
Thank you

Christian Mack

Christian Mack

2020-03-25 06:43

developer   ~0014232

OK, I can reproduce this error.
It shows an "Bad request" message in the webinterface.
In sogo.log I do not see any delete or rename.
Seems webinterface doesn't produce that commands.
I can move emails into it.
But this folder is not listable. When selecting it, I get "Bad request" too.
And no "view" command in sogo.log.

The folder is normally created on the IMAP backend (dovecot 2.3.10).
Therefore it is not an privilege problem.

Christian Mack

Christian Mack

2020-03-26 03:30

developer   ~0014235

I tested a bit further.
It is always reproducible if there is any '%' character in the name of the folder.

Related Changesets

sogo: master 52bb3baa

2020-04-13 17:28:11

francis

Details Diff
fix(mail(js)): url-encode folder path to handle special characters (%)

Fixes 0004989
Affected Issues
0004989
mod - UI/WebServerResources/js/Common/Resource.service.js Diff File

sogo: master e7da4c19

2020-05-04 18:42:44

francis

Details Diff
fix(web(js)): improve encoding of folder paths in XHR calls

Fixes 0004989
Affected Issues
0004989
mod - UI/WebServerResources/js/Common/Resource.service.js Diff File
mod - UI/WebServerResources/js/Contacts/Card.service.js Diff File
mod - UI/WebServerResources/js/Scheduler/Component.service.js Diff File

Issue History

Date Modified Username Field Change
2020-03-24 05:17 MarioRosso New Issue
2020-03-24 05:17 MarioRosso Tag Attached: 4.3.0
2020-03-25 04:21 Christian Mack Note Added: 0014226
2020-03-25 06:14 MarioRosso File Added: SOGOo_200325.png
2020-03-25 06:14 MarioRosso Note Added: 0014230
2020-03-25 06:20 MarioRosso Note Added: 0014231
2020-03-25 06:43 Christian Mack Note Added: 0014232
2020-03-26 03:30 Christian Mack Summary folders => folders with % character unusable
2020-03-26 03:30 Christian Mack Note Added: 0014235
2020-04-13 17:30 francis Changeset attached => sogo master 52bb3baa
2020-04-13 17:30 francis Assigned To => francis
2020-04-13 17:30 francis Resolution open => fixed
2020-04-13 17:30 francis Status new => resolved
2020-04-13 17:30 francis Fixed in Version => 4.3.1
2020-05-04 18:44 francis Changeset attached => sogo master e7da4c19